Name:		gmpy
Version:	1.17
Release:	14%{?dist}
Summary:	A Python interface to the GNU Multiple Precision Arithmetic Library

Group:		Development/Libraries
License:	LGPLv2+
URL:		http://code.google.com/p/gmpy/
Source0:	http://gmpy.googlecode.com/files/gmpy-%{version}.zip

BuildRequires:	python2-devel
BuildRequires:	gmp-devel
BuildRequires:	gcc

# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python2_sitearch}/.*\.so$
%filter_setup
}

%description
A C-coded Python extension module that wraps the GMP library to provide to
Python code fast multiprecision arithmetic (integer, rational, and float),
random number generation, advanced number-theoretical functions, and more.

%prep
%setup -q
# Convert to utf-8
for file in doc/gmpydoc.txt; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done


%build
CFLAGS="%{optflags}" python2 ./setup.py build


%install
python2 ./setup.py install -O1 --skip-build --root=%{buildroot}
chmod 755 %{buildroot}%{python2_sitearch}/gmpy.so


%check
# Make python see the library that we have just compiled
libdir=`ls build/|grep lib`
export PYTHONPATH=`pwd`/build/$libdir

cd test
python2 gmpy_test.py



%files
%{python2_sitearch}/gmpy.so
%{python2_sitearch}/gmpy-%{version}-py*.egg-info
%doc README doc/*
%license lgpl-2.1.txt



%changelog
* Fri Jul 13 2018 Michael J Gruber <mjg@fedoraproject.org> - 1.17-14
- adjust to py2 packaging guidelines (fix FTBFS on rawhide)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.17-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 08 2018 Michael J Gruber <mjg@fedoraproject.org> - 1.17-12
- Adjust to new guidelines (BR gcc)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.17-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.17-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.17-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.17-8
- Rebuild due to bug in RPM (RHBZ #1468476)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.17-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 09 2013 Michael J Gruber <mjg@fedoraproject.org> - 1.17-1
- sync with upstream bugfix release 1.17

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 11 2013 Michael J Gruber <mjg@fedoraproject.org> 1.16-1
- sync with upstream

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Michael J Gruber <mjg@fedoraproject.org> 1.15-1
- sync with upstream

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-3.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.14-2.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.14-2.1
- rebuild with new gmp

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 18 2010 Michael J Gruber <mjg@fedoraproject.org> 1.14-1
- sync with upstream

* Mon Nov 15 2010 Michael J Gruber <mjg@fedoraproject.org> 1.13-3
- include lgpl-2.1.txt in doc
- include all doc in toplevel dir rather than subdir

* Tue Nov 11 2010 Michael J Gruber <mjg@fedoraproject.org> 1.13-2
- avoid automatic provides for .so
- add check section rather than bundling the tests
- convert latin1 doc file to utf8 during prep
- chmod 755 the installed .so

* Mon Nov 10 2010 Michael J Gruber <mjg@fedoraproject.org> 1.13-1
- initial packaging for Fedora
